//インポート
import gameCanvasUtil.*;
import debugger.*;

/** ゲームクラス。
 *
 * 学生が編集すべきソースコードです。
 */
public class game extends gameBase
{
    /********* 変数定義はこちらに *********/
    // 型 変数名;　の順に書いて定義する

    /********* 初期化の手順はこちらに *********/
    public void initGame() {}

    /********* 物体の移動等の更新処理はこちらに *********/
    public void updateGame() {}

    /********* 画像の描画はこちらに *********/
    public void drawGame()
    {
        // 画面を塗りつぶす関数を呼ぶ
        // ここでは、赤で塗りつぶしている
        clearWindow(255, 0, 0);
    }

    /********* 終了時の処理はこちらに *********/
    public void finalGame() {}


    // 引数に渡した数値を使って、画面を塗りつぶす関数を定義
    void clearWindow(int r, int g, int b)
    {
        // 色を青にセット
        gc.setColor(r, g, b);
        // 画面を塗りつぶす
        gc.fillRect(0, 0, 640, 480);
    }
}
